Bug 43078 - Highlights 'default' inside symbol, despite symbol not being keyword
Summary: Highlights 'default' inside symbol, despite symbol not being keyword
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: F# Add-in (show other bugs)
Version: 6.0.0 (C7)
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: (C8)
Assignee: Shruti
URL:
Depends on:
Blocks:
 
Reported: 2016-08-05 09:31 UTC by henrik
Modified: 2016-08-23 17:01 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Highlighting of keyword inside other symbol that is not keyword (50.18 KB, image/png)
2016-08-05 09:31 UTC, henrik
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description henrik 2016-08-05 09:31:42 UTC
Created attachment 16913 [details]
Highlighting of keyword inside other symbol that is not keyword

See screenshot for explaination
Comment 1 xamarin-release-manager 2016-08-22 14:36:10 UTC
Fixed in version 6.2.0.377 (master)

Author: nosami
Commit: c37347dde7f59480dbf8bddf34159e9800d47142 (mono/monodevelop)
Comment 2 Shruti 2016-08-23 10:44:32 UTC
This issue is working fine with patch build and master build. Now other symbol are not highlighting as a keyword.

Screencast: http://www.screencast.com/t/PZYo9M7rF

Patch Build:
Xamarin Studio Business
Version 6.1 (build 5358)
Release ID: 601005358
Git revision: 51978471ca53a3eb90172e95fff0f8e7478f84ee
Build date: 2016-08-22 11:52:41-04
Xamarin addins: 80f2929942f59678ed60ff3c857857f0170a63aa
Build lane: monodevelop-lion-cycle8-fix-43078

Master Build:
Xamarin Studio Business
Version 6.2 (build 380)
Release ID: 602000380
Git revision: 7b59eb69bf4b518c00db3521ab3b5b4166046583
Build date: 2016-08-22 18:46:33-04
Xamarin addins: 223703b4652f4bdd40ac2d46814139964f87cfde
Build lane: monodevelop-lion-master

This issue is not fixed on C8. Please commit the fix on C8 so that I can verify this issue.
Comment 3 xamarin-release-manager 2016-08-23 10:50:59 UTC
Fixed in version 6.1.0.5362 (cycle8)

Author: Jason Imison
Commit: 8e8caf4e8049a43ae52827f61244ff30c168769a (mono/monodevelop)
Comment 4 Mohit Kheterpal 2016-08-23 17:01:44 UTC
I have checked this issue with latest build of Cycle 8 XamarinStudio-6.1.0.5365_4fb2e8b3f2042f3be28b370d01f1c8057e993e51 and observed that this issue has been fixed as shown in screencast : http://www.screencast.com/t/tQD9fEoQn

Hence closing this issue by marking it as Verified.

thanks